%define upstream_name    Algorithm-RectanglesContainingDot
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Find rectangles containing a given dot
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Given a set of rectangles and a set of dots, the algorithm implemented in
this modules finds for every dot, which rectangles contain it.

The algorithm complexity is O(R * log(R) * log(R) + D * log(R)) being R the
number of rectangles and D the number of dots.

Its usage is very simple:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%make_install

%files
%doc README Changes
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.20.0-12.mga10
+ Revision: 2202613
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-11.mga9
+ Revision: 1808214
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-10.mga8
+ Revision: 1503423
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.20.0-9.mga7
+ Revision: 1281559
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.20.0-8.mga7
+ Revision: 1162791
- rebuild with fixed rpm for missing autodeps

* Sat Jun 18 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1022264
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 940604
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 748329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 683458
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.20.0-3.mga4
+ Revision: 509011
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-2.mga3
+ Revision: 362905
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ jquelin <jquelin>
- cleaning spec file

* Sun Jan 09 2011 jquelin <jquelin> 0.20.0-1.mga1
+ Revision: 1753
- imported package perl-Algorithm-RectanglesContainingDot

